gsmlib-devel-1.11-alt4.041028.qa2.i586.rpm


Advertisement

Description

gsmlib-devel - Development tools for programs which will use the gsmlib library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename gsmlib-devel-1.11-alt4.041028.qa2.i586.rpm
Package name gsmlib-devel
Package version 1.11
Package release alt4.041028.qa2
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 111.94 KB
Installed size 111.94 KB
The gsmlib-devel package includes the header files and static libraries
necessary for developing programs which use the gsmlib library.

Alternatives

Package Version Architecture Repository
gsmlib-devel-1.11-alt4.041028.qa2.x86_64.rpm 1.11 x86_64 Classic
gsmlib-devel - - -

Requires

Name Value
gsmlib = 1.11-alt4.041028.qa2
rpmlib(PayloadIsLzma) -

Provides

Name Value
gsmlib-devel = 1.11-alt4.041028.qa2

Download

Type URL
Mirror ftp.altlinux.org
Binary Package gsmlib-devel-1.11-alt4.041028.qa2.i586.rpm
Source Package gsmlib-1.11-alt4.041028.qa2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install gsmlib-devel rpm package:
    # sudo apt-get install gsmlib-devel

Files

Path
/usr/include/gsmlib/gsm_at.h
/usr/include/gsmlib/gsm_cb.h
/usr/include/gsmlib/gsm_error.h
/usr/include/gsmlib/gsm_event.h
/usr/include/gsmlib/gsm_map_key.h
/usr/include/gsmlib/gsm_me_ta.h
/usr/include/gsmlib/gsm_parser.h
/usr/include/gsmlib/gsm_phonebook.h
/usr/include/gsmlib/gsm_port.h
/usr/include/gsmlib/gsm_sie_me.h
/usr/include/gsmlib/gsm_sms.h
/usr/include/gsmlib/gsm_sms_codec.h
/usr/include/gsmlib/gsm_sms_store.h
/usr/include/gsmlib/gsm_sorted_phonebook.h
/usr/include/gsmlib/gsm_sorted_phonebook_base.h
/usr/include/gsmlib/gsm_sorted_sms_store.h
/usr/include/gsmlib/gsm_unix_serial.h
/usr/include/gsmlib/gsm_util.h
/usr/lib/libgsmext.so
/usr/lib/libgsmme.so

Changelog

2015-07-29 - Anton Farygin <rider@altlinux.ru> 1.11-alt4.041028.qa2
- rebuild for new gcc5 ABI
2013-04-15 - Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 1.11-alt4.041028.qa1
- NMU: rebuilt for debuginfo.
2011-01-27 - Victor Forsiuk <force@altlinux.org> 1.11-alt4.041028
- Rebuilt for soname set-versions.
2009-01-10 - Victor Forsyuk <force@altlinux.org> 1.11-alt3.041028
- Remove obsolete ldconfig calls.
2008-11-04 - Victor Forsyuk <force@altlinux.org> 1.11-alt2.041028
- Fix FTBFS with gcc4.3.

See Also

Package Description
gsmlib-utils-1.11-alt4.041028.qa2.i586.rpm Utilities to access GSM mobile phones through GSM modems
gsopcast-0.4.0-alt3.qa1.i586.rpm A GTK based GUI front-end for p2p TV sopcast
gsound-1.0.2-alt1.1.i586.rpm GSound is a small library for playing system sounds
gspiceui-1.1.00-alt1.i586.rpm A frontend to Spice circuit similators
gssdp-tools-1.0.3-alt1.i586.rpm Graphical SSDP sniffer
gssntlmssp-0.8.0-alt1.i586.rpm GSSAPI NTLMSSP Mechanism
gssproxy-0.8.2-alt1.i586.rpm GSSAPI Proxy
gssproxy-nfs-client-0.8.2-alt1.i586.rpm GSSAPI Proxy configuration for NFS client
gssproxy-nfs-server-0.8.2-alt1.i586.rpm GSSAPI Proxy configuration for NFS server
gst-libav-1.16.1-alt1.i586.rpm GStreamer (1.0 API) streaming media framework plug-in using FFmpeg
gst-plugins-bad1.0-1.16.1-alt2.i586.rpm A set of GStreamer plugins that need more quality
gst-plugins-bad1.0-devel-1.16.1-alt2.i586.rpm Development files for GStreamer Bad Plug-ins
gst-plugins-base1.0-1.16.1-alt1.i586.rpm An essential set of GStreamer plugins
gst-plugins-clutter1.0-3.0.27-alt1.i586.rpm Clutter plugin for Gstreamer-1.0
gst-plugins-espeak1.0-0.5.0-alt1_5.i586.rpm A simple gstreamer plugin to use espeak
Advertisement
Advertisement